//*****************************************
// AT mega328P-PU(28pin 300mil SDIP) Four IN-18 Clock Program
// CPU Clock:8MHz
//   iq[Yf[^@WȂBIV[^(8MHz)ɂj
//
// File Name:infrared.h
//  wb_[t@C
//
//  2017/09/27 New  Taishi
//*****************************************

// Mf[^
enum INFR_DATA {
		INFR_DATA_START = '0',

		IND1_ON_NOW,			// set n߂	'1'
		IND1_ON_CONTINUE,		// set A		'2'
		IND1_OFF_SHORT,			// set Z	'3'
		IND1_OFF_LONG,			// set 	'4'
		IND2_ON_NOW,			// select n߂	'5'
		IND2_ON_CONTINUE,		// select A		'6'
		IND2_OFF_SHORT,			// select Z	'7'
		IND2_OFF_LONG,			// select 	'8'

		INFR_DATA_END,
	};

extern	unsigned short	Ginf_data;

void			infrared_init(void);
unsigned char	get_infrared_stat(void);
unsigned char	get_infrared_data(void);
